:: SlowVoice v0.2
:: df6nm 2013-01-09
:: 3x slow, 1 minute raster 20s->60s->20s, duplex tx and rx

:: required exe files:
::   SndInput, SndOutpt (from DL4YHF: http://www.qsl.net/dl4yhf/snd_utl1.html)
::   SndInpu0, SndOutp0 (created using patchsndoutptsndinput)
::   waitraster, sleep

:: stereo mode: connect mic and tx input to left channel, rx output and phones to right
:: during a qso, manually switch between transmit and receive during alternate minutes
:: to change rx or tx audio center frequency, edit /fc where indicated 
:: the receive audio center frequency can also be edited in the SndInput window

echo off
if exist tx.tmp del tx.tmp
if exist tx.dat del tx.dat
start sndinpu0.exe /sr=12000 /ch=2 /fc=1500 /dec=4 /chunk=256 /of=tx.dat /maxsize=1200k
if exist rx.dat del rx.dat
if exist rx.tmp del rx.tmp
start sndinput.exe /sr=12000 /ch=2 /fc=1500 /dec=12 /chunk=256 /of=rx.dat /maxsize=400k
::                                     ^^^^ ...edit /fc here
echo SlowVoice v0.2 narrowband SSB transmit and receive
echo to quit, close this command window and quit SndInput and SndOutpt processes 
echo waiting for the beginning of the next minute...

:loop
waitraster -60 0
sndoutp0.exe /quit
sndoutpt.exe /quit
time /t
echo please speak for 20 seconds
if exist tx.dat del tx.dat
if exist rx.dat del rx.dat
sleep 1
if exist tx.dat del tx.dat
if exist rx.dat del rx.dat
start sndoutp0.exe /sr=12000 /ch=2 /fc=1500 /dec=12 /chunk=256 /fn=tx.dat
::                                     ^^^^ ...edit /fc here
sleep 14
echo 5 seconds left
sleep 5
echo end of recording
sleep 20
start sndoutpt.exe /sr=12000 /ch=2 /fc=1500 /dec=4 /chunk=256 /fn=rx.dat
echo replaying received message
sleep 15
echo next slot will start in 5 seconds
goto loop
